function addrow_bar(){
    j=sqd.rows.length;
    newRow=document.all.sqd.insertRow(-1)
    newcell=newRow.insertCell()
    newcell.innerHTML=j
	document.getElementById("rowcount").value=j
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=delNumber type=checkbox style='border:0'>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=P_AA"+j+" type=text id=P_AA"+j+" size=30 onClick=edit_row("+j+") readOnly><input name=P_ID"+j+" type=hidden id=P_ID"+j+" readOnly>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input onpropertychange=count("+j+") name=P_Price"+j+" type=text id=P_Price"+j+" size=8>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input onpropertychange=count("+j+") name=number"+j+" type=text id=number"+j+" size=8>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=money"+j+" type=text id=money"+j+" size=8>"
}

function addrow(){
    j=window.opener.document.all.sqd.rows.length;
    newRow=window.opener.document.all.sqd.insertRow(-1)
    newcell=newRow.insertCell()
    newcell.innerHTML=j
	window.opener.document.getElementById("rowcount").value=j
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=delNumber type=checkbox style='border:0'>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=P_AA"+j+" type=text id=P_AA"+j+" size=30 onClick=edit_row("+j+") readOnly><input name=P_ID"+j+" type=hidden id=P_ID"+j+" readOnly>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input onpropertychange=count("+j+") name=P_Price"+j+" type=text id=P_Price"+j+" size=8>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input onpropertychange=count("+j+") name=number"+j+" type=text id=number"+j+" size=8>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=money"+j+" type=text id=money"+j+" size=8>"
}

function addrow_pandian(){
    j=sqd.rows.length;
    newRow=document.all.sqd.insertRow(-1)
    newcell=newRow.insertCell()
    newcell.innerHTML=j
	document.getElementById("rowcount").value=j
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=delNumber type=checkbox style='border:0'>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=P_AA"+j+" type=text id=P_AA"+j+" size=30 onClick=edit_row("+j+") readOnly><input name=P_ID"+j+" type=hidden id=P_ID"+j+" readOnly>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input onpropertychange=count("+j+") name=P_Price"+j+" type=text id=P_Price"+j+" size=8>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input onpropertychange=count("+j+") name=number"+j+" type=text id=number"+j+" size=8>"
    newcell=newRow.insertCell()
    newcell.innerHTML="<input name=money"+j+" type=text id=money"+j+" size=8>"
}